Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154615 - mpage unable to generate multi-lingual ps file
Summary: mpage unable to generate multi-lingual ps file
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mpage
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 02:03 UTC by Lawrence Lim
Modified: 2014-04-15 15:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-15 15:44:41 UTC


Attachments (Terms of Use)
text file containing all 4 CJK locale characters (deleted)
2005-04-13 02:03 UTC, Lawrence Lim
no flags Details
ps file generated in the zh_TW.UTF-8 locale (deleted)
2005-04-13 02:04 UTC, Lawrence Lim
no flags Details

Description Lawrence Lim 2005-04-13 02:03:27 UTC
Description of problem:
Similar to bug 130118, when plain text files to ps file, mapge tries to determine
the charset of the file from the environment variables. and as a result, it
prevent multi-lingual document from converting properly. If the user is in the
zh_TW locale and the text document contains both zh_CN, zh_TW, ja_JP and ko_KR
characters, only zh_TW characters are process and the rest are blank or replaced
by dots.

Version-Release number of selected component (if applicable):
mpage-2.5.4-2

How reproducible:
Always

Steps to Reproduce:
1.cat CJKtest.txt |mpage > test.ps
2.ggv test.ps
3.
  
Actual results:
Only TC row (zh_TW) got display properly, the rest are blank

Expected results:
Be able to display all the contents in the document

Additional info:

Comment 1 Lawrence Lim 2005-04-13 02:03:27 UTC
Created attachment 113074 [details]
text file containing all 4 CJK locale characters

Comment 2 Lawrence Lim 2005-04-13 02:04:13 UTC
Created attachment 113075 [details]
ps file generated in the zh_TW.UTF-8 locale

Comment 4 Jens Petersen 2005-09-27 11:59:26 UTC
So C, J and K individually are ok?

Comment 5 Lawrence Lim 2005-11-18 05:05:17 UTC
Yes, individually they are OK, as long as the locale match the charset.

Comment 7 Hu Zheng 2007-01-31 07:40:07 UTC
I have test mpage-2.5.5 with this file, it will determine the code as UTF-8
correctly.
But unlucky evince can't open that file, maybe it is the font problem.

Comment 8 Akira TAGOH 2007-02-05 02:49:22 UTC
FYI, mpage generates PS file that is relying on CID-keyed font (or fonts
emulated by gs) and CMap to pick the glyphs up from the font in PS. and PS
itself allows to mix languages up in one file.
Just supporting this feature may be easy, but an issue would be how to determine
the font for unified ideographs in UTF-8. e.g. for CJK. possible idea would be
to refers current locale and sort out the font priority against it.

Comment 9 Tony Fu 2008-09-10 03:16:20 UTC
requested by Jens Petersen (#27995)

Comment 11 Michal Hlavinka 2014-04-15 15:44:41 UTC
Lets face it, this is not going to happen. It would increase complexity of mpage too much. Anyway, if anyone wants to spend his time and prepare the patch, he's welcome to do so.


Note You need to log in before you can comment on or make changes to this bug.